import { select, json, geoPath, geoMercator } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const projection = geoMercator()
	.center([105, 43])
	.scale([820]);
const pathGenerator = geoPath().projection(projection)

/* We have raw geoJson data available. Change it later. */
const basemapUrl = 'https://gist.githubusercontent.com/Z-Richard/d1f285c1baf085a7b4f3331fb7dc0e12/raw/9437745ce91c30f7c2e433e3b9ff7adb270e8497/china-city-basemap-topojson.json';

json(basemapUrl)
	.then(data => {
  	const countries = feature(data, data.objects.china_city_basemap)
    svg.selectAll('path')
      .data(countries.features)
  		.enter().append('path')
  		.attr('class', 'country')
  		.attr('d', pathGenerator)
  });

/*
const basemapUrl = 'https://gist.githubusercontent.com/Z-Richard/dd2698b9d678f4c1092e48948a775066/raw/62ffd5da1d0cfde8fef34751ad3461ad0863f0e0/china-city-basemap-geojson.json';

json(basemapUrl)
	.then(data => {
  	console.log(data);
    svg.selectAll('path')
      .data(data.features)
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', pathGenerator)
	})
  
*/

